Loading...
Searching...
No Matches
mbedtls_psa_mac_operation_t Struct Reference

`#include <crypto_builtin_composites.h>`

Collaboration diagram for mbedtls_psa_mac_operation_t:
[legend]

## Data Fields

psa_algorithm_t | private_alg
union { |
unsigned private_dummy |
mbedtls_psa_hmac_operation_t private_hmac |
mbedtls_cipher_context_t private_cmac |
} | private_ctx |

## Detailed Description

Definition at line 57 of file crypto_builtin_composites.h.

## Field Documentation

## private_alg

psa_algorithm_t mbedtls_psa_mac_operation_t::private_alg

Definition at line 58 of file crypto_builtin_composites.h.

## private_cmac

mbedtls_cipher_context_t mbedtls_psa_mac_operation_t::private_cmac

Definition at line 65 of file crypto_builtin_composites.h.

## [union]

union { ... } mbedtls_psa_mac_operation_t::private_ctx

## private_dummy

unsigned mbedtls_psa_mac_operation_t::private_dummy

Definition at line 60 of file crypto_builtin_composites.h.

## private_hmac

mbedtls_psa_hmac_operation_t mbedtls_psa_mac_operation_t::private_hmac

Definition at line 62 of file crypto_builtin_composites.h.

The documentation for this struct was generated from the following file:

- crypto_builtin_composites.h